#ifndef RCC_PLIB_H_
#define RCC_PLIB_H_

#include "platform.h"

typedef enum
{
DISABLED = 0x0, 
SYSCLK = 0x1,
HSI48 = 0x2, 
HSI16 = 0x3, 
HSE = 0x4, 
PLLRCLK = 0x5, 
LSI = 0x6, 
LSE = 0x7,  
PLLPCLK = 0x8, 
PLLQCLK = 0x9, 
RTCCLK = 0xa, 
WAKEUP = 0xb
} MSO_Sel_TypeDef; //Microcontroller clock output clock selection 

void sysclk_64mhz_from_hsi16_setup(void);
void sysclk_LSI_setup(void);
void clock_output_pA8_enble(MSO_Sel_TypeDef selection);
uint32_t RCC_GetSysClockFreq(void);


#endif
